package ru.yandex.webmaster.common.seolinks.info;

import java.util.Date;

/**
 * User: azakharov
 * Date: 05.06.14
 * Time: 13:57
 */
public class SeoLinksInfo {

    private boolean useSeoLinks;
    private Date modifiedOn;
    private Date modificationDisallowedUntil;
    private boolean modificationAllowed;

    public SeoLinksInfo(boolean useSeoLinks, Date modifiedOn, Date modificationDisallowedUntil, boolean modificationAllowed) {
        this.useSeoLinks = useSeoLinks;
        this.modifiedOn = modifiedOn;
        this.modificationDisallowedUntil = modificationDisallowedUntil;
        this.modificationAllowed = modificationAllowed;
    }

    public boolean isUseSeoLinks() {
        return useSeoLinks;
    }

    public Date getModifiedOn() {
        return modifiedOn;
    }

    public boolean isModificationAllowed() {
        return modificationAllowed;
    }

    public Date getModificationDisallowedUntil() {
        return modificationDisallowedUntil;
    }
}
